import { Text } from "@tarojs/components";
import { TextType } from "../../utils/types";
import './Texts.scss'


export default function Component(props: { text: string, type?: TextType, }) {
    function render() {
        switch (props.type) {
            case TextType.primary:
                return <Text className="primary">{props.text}</Text>
            case TextType.secondary:
                return <Text className="secondary">{props.text}</Text>
            case TextType.big:
                return <Text className="big">{props.text}</Text>
            default:
                return <Text style={{color:'#fff'}}>{props.text}</Text>
        }


    }
    return render()
}